Uses of Class
io.vertx.mutiny.httpproxy.ProxyResponse
Packages that use ProxyResponse
-
Uses of ProxyResponse in io.vertx.mutiny.httpproxy
Fields in io.vertx.mutiny.httpproxy with type parameters of type ProxyResponseMethods in io.vertx.mutiny.httpproxy that return ProxyResponseModifier and TypeMethodDescriptionProxyInterceptor.handleProxyRequestAndAwait(ProxyContext context) Handle the proxy request at the stage of this interceptor.static ProxyResponseProxyResponse.newInstance(io.vertx.httpproxy.ProxyResponse delegate) Creates a new instance of theProxyResponse.ProxyResponse.release()Release the proxy response.ProxyContext.response()ProxyRequest.response()Create and return the proxy response.ProxyRequest.sendAndAwait(HttpClientRequest request) Send this request to the origin server using the specifiedrequest.ProxyResponse.sendAndForget()Send the proxies response to the user agent.ProxyContext.sendRequestAndAwait()Unlike the bare Vert.x variant, this method returns aProxyResponse.Set the request body to be sent to the user agent.ProxyResponse.setStatusCode(int sc) Set the status code to be sent to the user agent.ProxyResponse.setStatusMessage(String statusMessage) Set the status message to be sent to the user agent.Methods in io.vertx.mutiny.httpproxy that return types with arguments of type ProxyResponseModifier and TypeMethodDescriptionio.smallrye.mutiny.Uni<ProxyResponse>ProxyInterceptor.handleProxyRequest(ProxyContext context) Handle the proxy request at the stage of this interceptor.io.smallrye.mutiny.Uni<ProxyResponse>ProxyRequest.send(HttpClientRequest request) Send this request to the origin server using the specifiedrequest.io.smallrye.mutiny.Uni<ProxyResponse>ProxyContext.sendRequest()Unlike the bare Vert.x variant, this method returns aUni.